<?php

App::uses('AppController', 'Controller');

class EvRangesAppController extends AppController {

	/**
	 * Constructor
	 *
	 * @param ComponentCollection $collection A ComponentCollection this component can use to lazy load its components
	 * @param array $settings Array of configuration settings.
	 */
	public function __construct($request = null, $response = null) {
		$this->components[] = 'EvRanges.Ranges';
		$this->components[] = 'EvShop.Products';

		if (CakePlugin::loaded('EvBreadcrumb')) {
			$this->components[] = 'EvBreadcrumb.Breadcrumb';
			$this->helpers['EvBreadcrumb.Breadcrumb'] = [];
		}

		parent::__construct($request, $response);
	}
}
